<?php
include_once(_DIR_TO_CLASS."/c_page.php");
class c_page_cab_esmo_setting_terminal extends c_page
{
  public $h1='Медицинские терминалы' ;

 function second_menu_config()
 { $this->second_menu['/cab/esmo_setting/terminal/']=array('title'=>'Медицинские терминалы') ;
   $this->second_menu['/cab/esmo_setting/terminal_disabled/']=array('title'=>'Заблокированные терминалы') ;
   $this->second_menu['/cab/esmo_setting/terminal_profile/']=array('title'=>'Профили терминалов') ;
   $this->second_menu['/cab/esmo_setting/terminal_log_handler/']=array('title'=>'Обработка логов') ;
 }

 function block_main()
 { $this->page_title() ;
   if (isset(MEMBER()->cur_group_id))
   { $recs=ESMO()->get_list_terminals(MEMBER()->cur_group_id) ;
     include_once(_DIR_EXT.'/esmo_setting/panel_terminals.php')  ;
     if (_sizeof($recs)) panel_terminals($recs) ;
     else echo '<div class=alert>В данной рабочей группе терминалы отстутсвуют. Воспользуйтесь конфигуратором системы для добавления терминалов в группу.</div>' ;
   }
 }



}



?>
